/* ==========================================================================
* 작 성 자 : 이순규
* 작 성 일 : 2007.08.03
* 내    용 : 
* 주의사항 : 
*===========================================================================*/
#pragma once
#include "UIWindow.h"

enum eItemTry;
class cNumberEditBox;
/// 아이템 개수 윈도우
class cItemCountWindow : public cUIWindow
{
public:
	cItemCountWindow();
	virtual ~cItemCountWindow();

	void ShowModal( eMSGBox_Event eventtype, unsigned int slotIndex0, unsigned int slotIndex1 );
	void ShowModal( eMSGBox_Event eventtype, unsigned int index );
	void ShowModal( eMSGBox_Event eventtype, unsigned int slotIndex, unsigned int itemIndex, unsigned int maxValue );

	unsigned long GetItemIndex() { return mItemIndex; }
	unsigned int GetSlotIndex0() { return mSlotIndex0; }
	unsigned int GetSlotIndex1() { return mSlotIndex1; }
	int GetMaxCount() { return mMaxValue; }
	unsigned int GetCount();

protected:
	bool OnCreate( cUINodeProperty* property );
	void OnCommand( cUINode* node, unsigned int id );
	void OnButtonDowned( cUINode* , unsigned int id );
	bool HandleEvent( const cUIEvent& event );
	void OnShow();

protected:
	/// 숫자 에디트
	cNumberEditBox* mNumEdit;

	/// 슬롯 인덱스
	unsigned int mSlotIndex0;
	unsigned int mSlotIndex1;

	/// 아이템 인덱스
	unsigned int mItemIndex;

	/// 값
	int mMaxValue;
};

